Bug 190645 - games/gnubg comments from upstream
Summary: games/gnubg comments from upstream
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-05 06:34 UTC by Carlo Strub
Modified: 2014-08-31 13:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlo Strub freebsd_committer 2014-06-05 06:34:50 UTC
The following are comments I got from upstream (Michael Petch):

- Sound requires libcanberra now
- Minimum packages needed to build command line version
    pkg install python
    pkg install bison flex libtool automake pkgconf glib gcc gmake

Packages required for building optional graphics including 3D boards:
    pkg install gtkglarea gtk2 gtkglext

Packages required for optional sqlite3 match database support:
    pkg install sqlite3 databases/py-sqlite3

Packages required for optional postgresql match database support:
    pkg install databases/py-PyGreSQL

Packages required for optional mysql match database support:
    pkg install databases/py-MySQLdb

Packages required for optional sound:
    pkg install libcanberra

Packages required for optional long seed support:
    pkg install gmp

-  I forgot to mention that in your port you still have a requirement of
libxml2 when building for GTK. This has been dropped for quite some time
and no longer needed.

USE_GNOME=      libxml2
Comment 1 commit-hook freebsd_committer 2014-08-31 13:47:36 UTC
A commit references this bug:

Author: cs
Date: Sun Aug 31 13:46:38 UTC 2014
New revision: 366762
URL: http://svnweb.freebsd.org/changeset/ports/366762

Log:
  Update port according to comments from upstream:
  - less dependencies
  - fix sound
  - etc.

  PR:		190645
  Submitted by:	Michael Petch

Changes:
  head/games/gnubg/Makefile
  head/games/gnubg/pkg-plist